<template>
  <b-navbar v-b-color-mode="'dark'" fixed="bottom" variant="dark">
    <b-collapse
      id="nav-collapse"
      class="small d-flex justify-content-center"
      is-nav
    >
      <b-navbar-nav>
        <!-- Coscine -->
        <b-nav-item :href="$t('nav.url.coscine').toString()" target="_blank">
          <u>{{ $t("nav.coscine") }}</u>
        </b-nav-item>
        <div class="vl" />
        <!-- Privacy Policy -->
        <b-nav-item
          :href="$t('nav.url.privacyPolicy').toString()"
          target="_blank"
        >
          <u>{{ $t("nav.privacyPolicy") }}</u>
        </b-nav-item>
        <div class="vl" />
        <!-- Imprint -->
        <b-nav-item
          :href="$t('nav.url.extrasImprint').toString()"
          target="_blank"
        >
          <u>{{ $t("nav.extrasImprint") }}</u>
        </b-nav-item>
        <div class="vl" />
        <!-- Mission Statement -->
        <b-nav-item :href="$t('nav.url.mission').toString()" target="_blank">
          <u>{{ $t("nav.mission") }}</u>
        </b-nav-item>
        <div class="vl" />
        <!-- Accessibility -->
        <b-nav-item
          :href="$t('nav.url.extrasAccessibility').toString()"
          target="_blank"
        >
          <u>{{ $t("nav.extrasAccessibility") }}</u>
        </b-nav-item>
      </b-navbar-nav>
    </b-collapse>
  </b-navbar>
</template>

<script lang="ts">
export default defineComponent({});
</script>

<style scoped>
.vl {
  border-left: 1px solid grey;
  height: 15px;
  margin-top: 10px;
}
</style>
